# $Id: xtel.spec,v 1.9 1999/09/17 12:16:33 pierre Exp $
%define version 3.2.1
%define release 2mdk

Summary: Emulateur Minitel X11
Name: xtel
Version: %{version}
Release: %{release}
Source0: ftp://ftp.linux-kheops.com/pub/xtel/xtel-%{version}.tar.bz2
Patch0: xtel-mdk.patch.bz2
Copyright: GPL
Group: Networking/Other
BuildRoot: /var/tmp/%{name}-buildroot
PreReq: chkfontpath

%description
Ce programme mule un Minitel dans un environnement UNIX/X11. Il utilise
une architecture client/serveur (xtel/xteld). Le dmon 'xteld' se charge de
grer les connexions Tltel (par modem) demandes par les clients via
TCP/IP. Xtel mule le Minitel 1B, 2 et TVR. Xteld permet galement d'utiliser
HyperTerminal Private Edition (3.0 ou 4.0) comme client Minitel Windows95/NT.


%prep
%setup
%patch0 -p0 -z .fred

%build
imake -DREDHAT -DUseInstalled -I/usr/X11R6/lib/X11/config
make Xtel

%install
rm -rf $RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/mdmdetect

%post
if [ "`grep xtel /etc/services`" = "" ]; then
	echo -n "Mise  jour de /etc/services..."
	echo -e "xtel\t\t1313/tcp\t\t\t# Xtel" >> /etc/services
	echo -e "xtelw\t\t1314/tcp\t\t\t# Xtel HyperTerminal" >> /etc/services
	echo "OK"
fi

if [ "`grep xtel /etc/inetd.conf`" = "" ]; then
	echo -n "Mise  jour de /etc/inetd.conf..."
	echo -e "# xtel" >> /etc/inetd.conf
	echo -e "xtel\tstream\ttcp\tnowait\troot\t/usr/X11R6/bin/xteld\txteld" >> /etc/inetd.conf
	echo -e "xtelw\tstream\ttcp\tnowait\troot\t/usr/X11R6/bin/xteld\txteld -H" >> /etc/inetd.conf
	/bin/kill -HUP inetd
	echo "OK"
fi

chkfontpath --list | grep /usr/X11R6/lib/X11/fonts/xtel > /dev/null 2>&1

if [ $? != 0 ]; then
   chkfontpath --add /usr/X11R6/lib/X11/fonts/xtel
fi

%postun
chkfontpath --remove /usr/X11R6/lib/X11/fonts/xtel

%files
%defattr(-,root,root)
%doc COPYING LISEZMOI.txt FAQ.txt HISTOIRE.txt
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/app-defaults/XTel
/usr/X11R6/lib/X11/app-defaults/XTel-msg
/usr/X11R6/lib/X11/fonts/xtel/fonts.alias
/usr/X11R6/lib/X11/fonts/xtel/g08x10.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g08x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g016x10.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g016x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g032x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g016x40.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g032x40.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g18x10.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g116x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g1s8x10.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g1s16x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s8x10.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s8x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s16x10.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s16x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s32x20.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s16x40.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/g0s32x40.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/xteldigit.pcf.gz
/usr/X11R6/lib/X11/fonts/xtel/fonts.dir
/usr/X11R6/lib/X11/xtel/modem.list
%doc /usr/X11R6/man/man1/*
%config(noreplace) /etc/xtel/xtel.services
%config(noreplace) /etc/xtel/xtel.lignes

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-2mdk
- fix group
- spechelper cleanups

* Fri Dec 31 1999 Frederic Lepied <flepied@mandrakesoft.com> 3.2.1-1mdk
- first mandrake release

